## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

%global crate flate2

Name:           rust-flate2
Version:        1.0.34
Release:        %autorelease
Summary:        DEFLATE compression and decompression exposed as Read/BufRead/Write streams

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/flate2
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          flate2-fix-metadata-auto.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
DEFLATE compression and decompression exposed as Read/BufRead/Write
streams. Supports miniz_oxide and multiple zlib implementations.
Supports zlib, gzip, and raw deflate streams.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/MAINTENANCE.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+any_impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+any_impl-devel %{_description}

This package contains library source intended for building other packages which
use the "any_impl" feature of the "%{crate}" crate.

%files       -n %{name}+any_impl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+any_zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+any_zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "any_zlib" feature of the "%{crate}" crate.

%files       -n %{name}+any_zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libz-ng-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libz-ng-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "libz-ng-sys" feature of the "%{crate}" crate.

%files       -n %{name}+libz-ng-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+libz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+libz-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "libz-sys" feature of the "%{crate}" crate.

%files       -n %{name}+libz-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+miniz-sys-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miniz-sys-devel %{_description}

This package contains library source intended for building other packages which
use the "miniz-sys" feature of the "%{crate}" crate.

%files       -n %{name}+miniz-sys-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+miniz_oxide-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+miniz_oxide-devel %{_description}

This package contains library source intended for building other packages which
use the "miniz_oxide" feature of the "%{crate}" crate.

%files       -n %{name}+miniz_oxide-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rust_backend-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rust_backend-devel %{_description}

This package contains library source intended for building other packages which
use the "rust_backend" feature of the "%{crate}" crate.

%files       -n %{name}+rust_backend-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zlib-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-devel %{_description}

This package contains library source intended for building other packages which
use the "zlib" feature of the "%{crate}" crate.

%files       -n %{name}+zlib-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zlib-default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-default-devel %{_description}

This package contains library source intended for building other packages which
use the "zlib-default" feature of the "%{crate}" crate.

%files       -n %{name}+zlib-default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zlib-ng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zlib-ng-devel %{_description}

This package contains library source intended for building other packages which
use the "zlib-ng" feature of the "%{crate}" crate.

%files       -n %{name}+zlib-ng-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Sat Oct 05 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.34-1
- Update to version 1.0.34; Fixes RHBZ#2314987

* Wed Sep 25 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.33-1
- Update to version 1.0.33; Fixes RHBZ#2306034

* Fri Aug 09 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.31-1
- Update to version 1.0.31; Fixes RHBZ#2302592

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.30-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 02 2024 Fabio Valentini <decathorpe@gmail.com> - 1.0.30-1
- Update to version 1.0.30; Fixes RHBZ#2277318

* Sun May 05 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.28-3
- Stop hiding the zlib-ng and libz-ng-sys features

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Tue Oct 17 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.28-1
- Update to version 1.0.28; Fixes RHBZ#2243817

* Sun Aug 27 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.27-1
- Update to version 1.0.27; Fixes RHBZ#2232059

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.26-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jul 13 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.26-1
- Update to version 1.0.26; Fixes RHBZ#2190495

* Thu Mar 30 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.25-1
- Update to version 1.0.25; Fixes RHBZ#2148188

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 09 2022 Fabio Valentini <decathorpe@gmail.com> - 1.0.24-1
- Update to version 1.0.24; Fixes RHBZ#2074155

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 30 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.22-1
- Update to version 1.0.22; Fixes RHBZ#2003744

* Tue Aug 31 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.21-1
- Update to version 1.0.21; Fixes RHBZ#1999165

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Mar 03 2021 Fabio Valentini <decathorpe@gmail.com> - 1.0.20-1
- Update to version 1.0.20.
- Fixes RHBZ#1922308

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 05 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.19-1
- Update to version 1.0.19.
- Fixes RHBZ#1893770

* Mon Oct 26 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.18-1
- Update to version 1.0.18.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Mar 17 2020 Josh Stone <jistone@redhat.com> - 1.0.14-1
- Update to 1.0.14

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Tue Nov 19 2019 Josh Stone <jistone@redhat.com> - 1.0.13-1
- Update to 1.0.13

* Fri Sep 13 20:33:37 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.0.11-1
- Update to 1.0.11
- Update quickcheck to 0.9

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jun 21 21:23:28 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9

* Thu Mar 14 2019 Josh Stone <jistone@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Sun Mar 10 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.6-3
- Do not pull optional dependencies

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Dec 06 2018 Josh Stone <jistone@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Wed Nov 28 2018 Josh Stone <jistone@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Sun Nov 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.4-2
- Adapt to new packaging

* Mon Oct 22 2018 Josh Stone <jistone@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Thu Oct 04 2018 Josh Stone <jistone@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Mon Sep 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.2-2
- Bump quickcheck to 0.7

* Sat Aug 04 2018 Josh Stone <jistone@redhat.com> - 1.0.2-1
- Update to 1.0.2

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Jan 13 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.0.1-1
- Initial package

## END: Generated by rpmautospec
